Well i call it curious cos i been just told to upgrade Redmine without giving any other details.

some strange situation :–


$ dpkg -l rails [/php]

gave me nothing (omg my redmine instance running without Rails)

After some googling and #redmine irc channel i figured out like python easy_install and ubuntu/debian ruby uses gem.

So on typing


$ gem list –local

*** LOCAL GEMS ***

actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
fastthread (1.0.7)
passenger (2.2.11)
rack (1.0.1)
rails (2.3.5)
rake (0.8.7)
rmagick (2.13.1)


Told me these are the magical pkgs allready installed.

I also figured out with help of dpkg -l that i have mod_rails(http://www.modrails.com) and ruby 1.8 installed.

I had to spend some time to figure out what is current version of redmine installed on my server.there was a simple way to find that.

[php] $ elinks http://myredmine/admin/info[/php]

Redmine 0.9.6.stable (MySQL) <– this was my configuration.

Then i followed steps provided at http://www.redmine.org/wiki/redmine/RedmineUpgrade

And yes,

I took mysql backup and filebkp too along with changing directory location in my virtualhost.

My 1$ Advice, please install additional plugins one by one from the repo which has latest release of it rather upgrading and moving the plugin from older version of Redmine else you will end up going in lot of shit. Most of the older plugin are still not supported in 1.0.X version of Redmine.